#ifndef __COLORPAG_H__
#define __COLORPAG_H__

// Copyright 1995 by Jon Dart.  All Rights Reserved.
// colorpag.h : header file
//

#include "resource.h"
#include "colorbut.h"

/////////////////////////////////////////////////////////////////////////////
// CColorPage dialog

class CColorPage : public CPropertyPage
{
	DECLARE_DYNCREATE(CColorPage)

// Construction
public:
	CColorPage();
	~CColorPage();

// Dialog Data
	//{{AFX_DATA(CColorPage)
	enum { IDD = IDD_COLORPAGE };
	CColorButton	m_lightColor;
	CColorButton	m_darkColor;
	//}}AFX_DATA


        COLORREF lightColor;
        COLORREF darkColor;

// Overrides
	// ClassWizard generate virtual function overrides
	//{{AFX_VIRTUAL(CColorPage)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	// Generated message map functions
	//{{AFX_MSG(CColorPage)
	afx_msg void OnChoosedark();
	afx_msg void OnChooselight();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()

};

#endif
